package com.uas.finance.erp.model;


/**
 * created by shicr on 2017/12/20
 * 财务数据表
 **/
public class AccountInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 企业uu
     *
     * @return
     */
    private Long enuu;

    /**
     * 财务类型情况
     */
    private String ai_kind;

    /**
     * 欠款客户全称
     */
    private String ai_cuname;

    /**
     * 项目名称
     */
    private String ai_caname;

    /**
     * 金额
     */
    private String ai_amount;

    /**
     * 占比
     */
    private Double ai_rate;

    /**
     * 账龄
     */
    private String ai_payment;

    /**
     * 机构名称
     */
    private String ai_bank;

    /**
     * 应收账款余额
     */
    private Double ai_leftamount;

    /**
     * 产生原因
     */
    private String ai_remark;

    public String getAi_bank() {
        return ai_bank;
    }

    public void setAi_bank(String ai_bank) {
        this.ai_bank = ai_bank;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getAi_kind() {
        return ai_kind;
    }

    public void setAi_kind(String ai_kind) {
        this.ai_kind = ai_kind;
    }

    public String getAi_cuname() {
        return ai_cuname;
    }

    public void setAi_cuname(String ai_cuname) {
        this.ai_cuname = ai_cuname;
    }

    public String getAi_amount() {
        return ai_amount;
    }

    public void setAi_amount(String ai_amount) {
        this.ai_amount = ai_amount;
    }

    public Double getAi_rate() {
        return ai_rate;
    }

    public void setAi_rate(Double ai_rate) {
        this.ai_rate = ai_rate;
    }

    public String getAi_payment() {
        return ai_payment;
    }

    public void setAi_payment(String ai_payment) {
        this.ai_payment = ai_payment;
    }

    public Double getAi_leftamount() {
        return ai_leftamount;
    }

    public void setAi_leftamount(Double ai_leftamount) {
        this.ai_leftamount = ai_leftamount;
    }

    public String getAi_remark() {
        return ai_remark;
    }

    public void setAi_remark(String ai_remark) {
        this.ai_remark = ai_remark;
    }

    public String getAi_caname() {
        return ai_caname;
    }

    public void setAi_caname(String ai_caname) {
        this.ai_caname = ai_caname;
    }

    public AccountInfo(com.uas.finance.model.AccountInfo accountInfo) {
        this.ai_amount = accountInfo.getAi_amount();
        this.ai_cuname = accountInfo.getAi_cuname();
        this.ai_caname = accountInfo.getAi_caname();
        this.ai_kind = accountInfo.getAi_kind();
        this.ai_payment = accountInfo.getAi_payment();
        this.ai_rate = accountInfo.getAi_rate();
        this.enuu = accountInfo.getEnuu();
        this.id = accountInfo.getId();
        this.ai_bank = accountInfo.getAi_bank();
        this.ai_leftamount = accountInfo.getAi_leftamount();
        this.ai_remark = accountInfo.getAi_remark();
    }

    public AccountInfo() {

    }
}
